Subject: Re: [sieve] SPECIAL-USE in Sieve (RFC 6154)

From: Ken Murchison <[email-masked]>
Date: Tue, 27 Sep 2016 11:01:52 -0400

This draft looks good to me and I support its adoption.

On 03/28/2016 06:44 PM, Stephan Bosch wrote:
> Hi,
>
> Currently, the Sieve language lacks the means of freely accessing the
> IMAP special-use mailbox attributes (RFC 6154). For example, it would be
> nice to be able to determine what the Junk mailbox is during Sieve
> processing at delivery, based on which mailbox has the "\Junk"
> special-use attribute assigned. I believe I have coined this idea before
> several years ago, but the incentive to actually build or document
> anything was never very high.
>
> Recently, I found the motivation to design a proper Sieve extension for
> this; I finished implementing IMAPSIEVE and in that context such
> functionality can also be very useful.  The draft specification is
> attached, since the IETF draft submission is currently blocked.
>
> Please tell me what you think. I aim to submit this to appsawg soon, but
> I think most Sieve people are still concentrated here, so I post it here
> first.
>
> Regards,
>
> Stephan.
>
>
>
>
> _______________________________________________
> sieve mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sieve

-- 
Kenneth Murchison
Principal Systems Software Engineer
Carnegie Mellon University